<?php

/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 *
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <support@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types = 1);

use D3\Usermanager\Setup as ModuleSetup;

/**
 * Module information
 */
$aModule = [
    'd3FileRegister'    => [
        'd3/usermanager/IntelliSenseHelper.php',
        'd3/usermanager/metadata.php',
        'd3/usermanager/d3metadata.php',
        'd3/usermanager/Application/views/admin/blocks/d3usermanager_user_remark_type.tpl',
        'd3/usermanager/Application/views/admin/de/d3_usermanager_lang.php',
        'd3/usermanager/Application/views/admin/en/d3_usermanager_lang.php',
        'd3/usermanager/Application/views/admin/tpl/d3_usermanager_bottomnaviitem.tpl',
        'd3/usermanager/Application/views/admin/tpl/email/html/d3orderbreak.tpl',
        'd3/usermanager/Application/views/admin/tpl/email/plain/d3orderbreak.tpl',
        'd3/usermanager/modules/Application/Model/d3_user_usermanager.php',
        'd3/usermanager/modules/Application/Model/d3_oxemail_usermanager.php',

        'd3/usermanager/public/d3_usermanager_cron.php',
        'd3/usermanager/Application/Controller/Admin/d3_cfg_usermanageritem_trigger.php',
        'd3/usermanager/Application/Model/d3usermanager_vars.php',
        'd3/usermanager/Setup/d3usermanager_update.php',
        'd3/usermanager/Application/Model/d3usermanager_remark.php',
        'd3/usermanager/Application/Model/d3usermanager_export.php',
        'd3/usermanager/Application/Model/d3usermanager_partgrouplist_abstract.php',
        'd3/usermanager/Application/Model/Exceptions/d3usermanager_requirementexception.php',
        'd3/usermanager/Application/Model/Exceptions/d3usermanager_templaterendererExceptionInterface.php',
        'd3/usermanager/Application/Model/Exceptions/d3usermanager_smartyException.php',
        'd3/usermanager/Application/Model/Exceptions/d3usermanager_cronunavailableexception.php',
        'd3/usermanager/Application/Model/d3usermanager.php',
        'd3/usermanager/Application/Model/d3usermanager_actionrequirement_interface.php',
        'd3/usermanager/Application/Model/Exceptions/d3ActionRequirementAbstract.php',
        'd3/usermanager/Application/Model/Exceptions/d3usermanager_actionException.php',
        'd3/usermanager/Application/Model/Output/d3usermanager_debugoutput.php',
        'd3/usermanager/Application/Model/Output/d3usermanager_abstractoutput.php',
        'd3/usermanager/Application/Model/Output/d3usermanager_nulloutput.php',
        'd3/usermanager/Application/Model/Exceptions/d3ActionRequirementInterface.php',
        'd3/usermanager/Application/Model/Exceptions/emptyMessageException.php',
        'd3/usermanager/Application/Model/d3usermanager_configurationcheck.php',
        'd3/usermanager/Application/Model/Exceptions/d3usermanager_cronUnavailableException.php',
        'd3/usermanager/Application/Model/d3usermanager_partgrouplist_interface.php',
        'd3/usermanager/Application/Model/d3usermanager_partlist_interface.php',
        'd3/usermanager/Application/Model/d3usermanager_conf.php',
        'd3/usermanager/Application/Model/d3usermanager_renderererrorhandler.php',
        'd3/usermanager/Application/Model/d3usermanager_listgenerator.php',
        'd3/usermanager/Application/Model/Context/Html2TextContext.php',
        'd3/usermanager/Application/Model/Context/Html2TextContextInterface.php',
        'd3/usermanager/Application/Model/d3usermanager_execute.php',
        'd3/usermanager/Application/Model/MessageContentGenerator.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_custnrto.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_executemethodfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_orderdeltypefilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_ordermaxcount.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_ordermincount.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_validnewslettermail.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_ingroupfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_ordermaxtimespan.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_deladdrfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_birthdatefrom.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_newsletterfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_invcountryfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_delcountryfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_custnrfrom.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_invgenderfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_voucherserie.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_otherjob.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_ordermintimespan.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_delzipfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_hasbirthday.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_invfieldfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_userbasketto.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_activefilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_birthdateto.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_agecheck.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirementlist.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_abstract.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_dateabstract.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_userbaskettimespan.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_invustidfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_orderminsum.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_haswishlist.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_interface.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_invzipfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_hasvoucher.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_orderfieldfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_delfieldfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_wishlistcount.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_hasuserbasket.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_registertimespan.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_bonifilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_invcompanyfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_delcompanyfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_vouchernumber.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_orderpaymentfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_ordermaxsum.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_ordertimespan.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_noticelistcount.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirementgrouplist.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_userbasketfrom.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_ordernocount.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_orderlanguagefilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_registerto.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_notingroupfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_hasnoticelist.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_delgenderfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_passwordfilter.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_registerfrom.php',
        'd3/usermanager/Application/Model/Requirements/d3usermanager_requirement_testfilter.php',
        'd3/usermanager/Application/Model/d3usermanagerlist.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_actiongrouplist.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_sendpushnotification.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_sendmail.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_exportlist.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_setfieldvalue.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_setactiveflag.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_deleteuser.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_deletefromgroup.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_interface.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_testaction.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_actionlist.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_add2group.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_abstract.php',
        'd3/usermanager/Application/Model/Actions/d3usermanager_action_executemethod.php',
        'd3/usermanager/Application/Model/d3usermanager_touserassignment.php',
        'd3/usermanager/Config/services.php',

        'd3/usermanager/Application/views/admin/tpl/export-templates/XML-Vorlage.tpl',
        'd3/usermanager/Application/views/admin/tpl/export-templates/CSV-Vorlage.tpl',

        'd3/usermanager/Setup/Events.php',

        'd3/usermanager/tests/d3usermanager_config.php',
        'd3/usermanager/tests/additional.inc.php',
        'd3/usermanager/tests/integration/d3IntegrationTestCase.php',
        'd3/usermanager/tests/integration/Actions/actionDeleteFromGroupTest.php',
        'd3/usermanager/tests/integration/Actions/actionAdd2GroupTest.php',
        'd3/usermanager/tests/integration/Actions/actionDeleteUserTest.php',
        'd3/usermanager/tests/integration/Actions/actionSetActiveFlagTest.php',
        'd3/usermanager/tests/integration/Actions/actionSetFieldValueTest.php',
        'd3/usermanager/tests/integration/Actions/d3ActionIntegrationTestCase.php',
        'd3/usermanager/tests/integration/Actions/actionExecuteMethodTest.php',
        'd3/usermanager/tests/integration/Actions/actionExportListTest.php',
        'd3/usermanager/tests/integration/Admin/jobExecuteTest.php',
        'd3/usermanager/tests/integration/executeCronTest.php',  // outdated
        'd3/usermanager/tests/integration/Trigger/executeCLICronTest.php',
        'd3/usermanager/tests/integration/Trigger/executeGUICronTest.php',
        'd3/usermanager/tests/integration/Trigger/finalizeOrderTest.php',
        'd3/usermanager/tests/integration/Trigger/userSaveTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementActiveFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementBoniFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOtherJobTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementHasBirthdayTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementAgeCheckTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementExecuteMethodFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/d3RequirementIntegrationTestCase.php',
        'd3/usermanager/tests/integration/Requirements/requirementInGroupFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementNotInGroupFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementCustNrFromTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementBirthdateFromTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementBirthdateToTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementCustNrToTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementInvCompanyFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementVoucherserieTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementHasWishlistTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementDelFieldFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementRegisterTimespanTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementDelCountryFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderMinSumTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderMaxTimespanTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementUserbasketTimespanTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderMinCountTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementInvUstIdFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementNewsletterFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderFieldTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderMinTimespanTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderLanguageFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderMaxSumTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementUserbasketToTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementWishlistCountTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementInvZipFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementRegisterFromTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementInvFieldFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementRegisterToTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderDeltypeFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementInvCountryFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementPasswordFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementInvGenderFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementVouchernumberTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementHasUserbasketTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderMaxCountTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementDelCompanyFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementUserbasketFromTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementNoticelistCountTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementValidNewsletterMailTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementHasVoucherTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementDelAddrFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderPaymentFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementDelGenderFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementDelZipFilterTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementHasNoticelistTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderNoCountTest.php',
        'd3/usermanager/tests/integration/Requirements/requirementOrderTimespanTest.php',

        'd3/usermanager/tests/tools/Intercept.php',

        'd3/usermanager/tests/unit/d3UsermanagerUnitTestCase.php',
        'd3/usermanager/tests/unit/Modules/Application/Model/d3_order_usermanagerTest.php',
        'd3/usermanager/tests/unit/Modules/Application/Model/d3_user_usermanagerTest.php',
        'd3/usermanager/tests/unit/Modules/Application/Model/d3_oxemail_usermanagerTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanageritem_triggerTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanageritem_settingsTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanageritem_overviewTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanageritemTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanagerset_listTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanageritem_mainTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanageritem_requTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_usermanager_jobsTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanageritem_listTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanageritem_actionTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanagerset_mainTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanagersetTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanageritem_mallTest.php',
        'd3/usermanager/tests/unit/Application/Controller/Admin/d3_cfg_usermanagerlogTest.php',
        'd3/usermanager/tests/unit/Application/Controller/d3usermanager_responseTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanager_touserassignmentTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanager_exportTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanager_executeTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3testscript.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanager_remarkTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanager_confTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanager_listgeneratorTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanagerlistTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanagerTest.php',
        'd3/usermanager/tests/unit/Application/Model/MessageContentGeneratorTest.php',
        'd3/usermanager/tests/unit/Application/Model/Context/AbstractContextTest.php',
        'd3/usermanager/tests/unit/Application/Model/Context/Html2TextContextTest.php',
        'd3/usermanager/tests/unit/Setup/d3usermanager_updateTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanager_configurationcheckTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequbirthdatetoTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequbonifilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequagecheckTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequbirthdatefromTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequingroupfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3UsermanagerRequirementUnitTestCase.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequirementlistTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequnotingroupfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequexecutemethodfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequactivefilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequirementgrouplistTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequotherjobTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequcustnrfromTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequcustnrtoTest.php',
        'd3/usermanager/tests/unit/Application/Model/Output/d3usermanager_debugoutputTest.php',
        'd3/usermanager/tests/unit/Application/Model/d3usermanager_renderererrorhandlerTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractionexportlistTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractionsetfieldvalueTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractioncustdelfromgroupTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractionlistTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractiongrouplistTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3UsermanagerActionUnitTestCase.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractionsendpushnotificationTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractionexecutemethodTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractioncustaddtogroupTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractionsendmailTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractionsetactiveflagTest.php',
        'd3/usermanager/tests/unit/Application/Model/Actions/d3usermanageractiondeleteuserTest.php',
        'd3/usermanager/tests/unit/Application/Model/Exceptions/d3usermanager_cronUnavailableExceptionTest.php',
        'd3/usermanager/tests/unit/Application/Model/Exceptions/d3usermanager_requirementExceptionTest.php',
        'd3/usermanager/tests/unit/Application/Model/Exceptions/d3usermanager_actionExceptionTest.php',
        'd3/usermanager/tests/unit/Application/Model/Exceptions/emptyMessageExceptionTest.php',
        'd3/usermanager/tests/unit/public/d3_usermanager_cronTest.php',

        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequinvcompanyfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequdelcountryfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequdelcompanyfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequordermintimespanTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequordernocountTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequinvgenderfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequdelfieldfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequordermaxsumTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequdelzipfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequorderminsumTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequorderfieldfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequhasvoucherTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequinvustidfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequorderdeltypefilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequinvcountryfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequhasnoticelistTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequordermaxcountTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequinvzipfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequordermaxtimespanTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequinvfieldfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequordermincountTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequdeladdrfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequhasuserbasketTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequhaswishlistTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequdelgenderfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequnewsletterfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequorderlanguagefilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequnoticelistcountTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequhasbirthdayTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequvoucherserieTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequvalidnewslettermailTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequordertimespanTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequregistertimespanTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequorderpaymentfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequuserbasketfromTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequregistertoTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequvouchernumberTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequwishlistcountTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequpasswordfilterTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequuserbaskettoTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequuserbaskettimespanTest.php',
        'd3/usermanager/tests/unit/Application/Model/Requirements/d3usermanagerrequregisterfromTest.php'
    ],
    'd3SetupClasses'    => [
        ModuleSetup\d3usermanager_update::class
    ],
    'd3DICDefinitionFiles'  => [
        'd3/usermanager/Config/services.yaml',
    ]
];
